/*BOUTIQUE*/
#content
{	
    min-height: calc(100vh - 47px);
}
#content > h1
{
	background: linear-gradient(180deg, #f4f4f4, transparent);
}
#slider_accueil + #content
{
	padding-top: 0!important;
	margin-top: 0;
}

/*LISTE CATEGORIES*/
.categories
{
	list-style: none;
	margin: 0 0 20px;
	padding: 0;
	display: grid;
	grid-template-columns: repeat(4, minmax(250px, 1fr));
	grid-gap: 20px;
	align-items: stretch;
}
.categories > li
{
	margin: 0;
	padding: 0;
}

/*BLOC CATEGORIE*/
.categorie
{
	display: block;
	text-decoration: none;
	box-shadow: 0 0 1px rgba(0,0,0,0.5);
	height: 100%;
	transition: 200ms transform ease-in-out, 200ms box-shadow ease-in-out;	
	border-radius: var(--radius);
	overflow: hidden;
}
.categorie:hover
{
	transform: scale(1.05);
    box-shadow: 0 0 10px rgb(0 0 0 / 40%);
    z-index: 2;
}
.categorie .categorie-photo
{
	position: relative;
	padding-top: 100%;
	background-color: #f7f7f7;
}
.categorie .categorie-photo img
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: scale-down;
}
.categorie .categorie-details
{
	padding: 15px;
}
.categorie .categorie-details .categorie-titre
{
	height: 57px;
	color: #34393C;
	text-align: center;
}

/*LISTE PRODUTIS*/
.produits
{
	list-style: none;
	margin: 0 0 20px;
	padding: 0;

	display: grid;
	grid-template-columns: repeat(4, minmax(250px, 1fr));
	grid-gap: 20px;
	align-items: stretch;
}
.produits > li
{
	margin: 0;
	padding: 0;
}

/*BLOC PRODUIT*/
.produit
{
	position: relative;
	display: block;
	text-decoration: none;
	border: 1px solid #f4f4f4;
	box-shadow: 0 0 0 rgba(0,0,0,0);
	width: 100%;
	max-width: 275px;
	height: 100%;
	transition: 200ms transform ease-in-out, 200ms box-shadow ease-in-out;
	text-align: left;
	border-radius: var(--radius);
	overflow: hidden;
}
.produit:hover
{
	transform: scale(1.05);
    box-shadow: 0 0 10px rgb(0 0 0 / 40%);
    z-index: 2;
}
.produit .produit-photo
{
	position: relative;
	padding-top: 100%;
	background-color: #f7f7f7;
}
.produit .produit-photo img
{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	object-fit: scale-down;
}
.produit .produit-details
{
	padding: 15px;
}
.produit .produit-details .produit-nom
{
	height: 57px;
	color: #34393C;

	text-overflow: ellipsis;
    display: -webkit-box;
	overflow: hidden;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
.produit-prix
{
	white-space: nowrap;
}
.produit-prix > div
{
	color: #dd1e35;
	font-size: 22px;
	font-weight: 500;
}
.produit-prix sup
{
	font-size: 12px;
}
.produit-prix s
{
	color: #888888;
	font-size: 15px;
	margin: 0 5px;
}

/*FICHE PRODUIT*/
#produit
{	
	margin: 0 0 20px;
}
#produit > div:first-child
{
	/*display: grid;
	grid-template-columns: repeat(3, minmax(250px, 1fr));
	grid-gap: 20px;
	align-items: stretch;*/
	display: flex;
	flex-direction: row;
	width: 100%;
}
#produit > div:first-child > div:first-child
{
	width: 37%;
	padding-right: 20px;
}
#produit > div:first-child > div:first-child + div
{
	width: 35%;
	padding-right: 20px;
}
#produit > div:first-child > div:first-child + div + div
{
	width: 28%;
}

#produit .produit-achat
{
	border: 1px solid #f4f4f4;
	padding: 10px;
	margin-bottom: 20px;
	border-radius: var(--radius);
	overflow: hidden;
}

#produit .produit-reference
{
	padding-bottom: 10px;
}
#produit .produit-resume
{
	padding-bottom: 10px;
}
#produit .produit-prix > div
{
	font-size: 30px;
}
#produit .produit-prix sup
{
	font-size: 14px;
}

#produit .produit-couleur input
{
	display: none;
}
#produit .produit-couleur > div
{
	position: relative;
	display: inline-block;
    /*border: 2px solid rgba(0,0,0,0.3);*/
    margin: 2px 5px;
    padding: 5px;
    min-width: 30px;
    height: 30px;
    text-align: center;
    cursor: pointer;
    border-radius: 100%;
}
#produit .produit-couleur > div > div
{
	width: 50%;
	height: 100%;
	position: absolute;
	right: 0;
	top: 0;
	border-radius: 0 30px 30px 0;
	z-index: 1;
}
/*#produit .produit-couleur > input:checked + div
{
	border-color: #FF0000;
}*/
#produit .produit-couleur > input:checked + div:before
{
	position: absolute;
	right: -6px;
	bottom: -6px;

	padding: 3px;
	background-color: #FFFFFF;
	border-radius: 30px;

	content: "\f058";
	font-family: "Font Awesome 6 Pro";
	color: #37bc9b;
	font-weight: 900;
	-moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    display: var(--fa-display, inline-block);
    font-style: normal;
    font-variant: normal;
    line-height: 1;
    text-rendering: auto;

    z-index: 2;
}

#produit .produit-modeles select
{
	max-width: 100%;
}
#produit .produit-modeles input
{
	max-width: 100px;
}
#produit .produit-modeles .accordeon
{
	padding: 5px 0;
	text-align: left;
}

/*Modèle plaque*/
#produit .produit-modeles .plaque-formes
{
	display: flex;
	align-items: center;
	justify-content: center;
}
#produit .produit-modeles .plaque-formes input
{
	display: none;
}
#produit .produit-modeles .plaque-formes input + div
{
	border: 2px solid #F4F4F4;
	width: 90px;
	margin: 0 2px;
	opacity: 0.5;
	cursor: pointer;
	padding: 5px;
	text-align: center;
}
#produit .produit-modeles .plaque-formes input:checked + div
{
	border-color: var(--color-main);
	opacity: 1;
}
#produit .produit-modeles .plaque-formes i
{
	display: block;
	text-align: center;
}

#produit .produit-modeles .accordeon input,
#produit .produit-modeles .accordeon select
{
	width: 100%;
	max-width: 80px;
}

#produit .plaque-apercu
{

}

/*#produit .produit-modeles .plaque-trous > div
{
	border: 1px solid var(--color-main);
}*/

.produit-slider a
{
	position: relative;
	display: block;
	padding-top: 100%;
	width: 100%;
    max-width: 100%;
}
.produit-slider img
{
	position: absolute;
	top: 0;
	left: 0;
    width: 100%;
    height: 100%;
    object-fit: scale-down;
	vertical-align: middle;
	margin: 0 auto;
}
.produit-miniatures-slider img
{
	width: 100px;
    max-width: 100%;
    height: 100px;
    object-fit: scale-down;
	vertical-align: middle;
	margin: 0 auto;
}
.produit-miniatures-slider .slick-slide:not(.slick-current)
{
	opacity: .5;
}
.produits-slider .produit
{
	/*width: 275px;
	max-width: initial;*/
	margin: 20px;
	width: initial;
	height: initial!important;
}
/*.produits-slider .produit img
{
	width: 275px;
}*/

/*PANIER*/
.panier h2
{
	font-size: 18px;
	margin: 0;
	padding: 0 0 5px;
	text-align: left;
}
.panier.address-set > div > div
{
	display: flex;
    flex-direction: column;
}
.devis.address-set > div > div
{
    flex-direction: column;
}
.panier.address-set > div > div > div:nth-child(1)
{
	order: 1;
}
.panier.address-set > div > div > div:nth-child(2)
{
	order: 3;
}
.panier.address-set > div > div > div:nth-child(3)
{
	order: 2;
}
.panier.address-set > div > div > div:nth-child(4)
{
	order: 4;
}
.bloc h3
{
	margin: 0 0 10px;
    padding: 0;
}
ul.bloc,
.bloc > ul
{
	list-style: none;
    margin: 0 0 15px;
    padding: 0;
}
ul.bloc > li,
.bloc > ul > li
{
	margin: 0;
	padding: 0;
}

.bloc
{
	/*box-shadow: 0 0 5px 0 rgba(0,0,0,0.3);*/
	padding: 5px!important;
	border-radius: var(--radius);
	background-color: #f4f4f4;
	margin-bottom: 5px;
	border: 1px solid transparent;
}
.bloc .bloc:hover
{
	border: 1px solid var(--color-main);
}
.bloc + .bloc
{
	margin-top: 5px;
}
.bloc .bloc
{
	background-color: #ffffff;
	border-radius: calc(var(--radius) - 2px);
}
.bloc .bloc:last-child
{
	margin-bottom: 0;
}

/*.panier-liste
{
	margin: 0;
	padding: 0;
	list-style: none;
}*/
.panier-liste > li
{
	display: flex;
	/*margin: 0 0 5px;*/
}
.panier-liste > li a:not(.bouton)
{
	text-decoration: none;
	font-weight: 700;
	color: var(--color-defaut);
	cursor: pointer;
}
.panier-liste > li img
{
	object-fit: scale-down;
	width: 80px;
	height: 80px;
}
.panier-liste > li .panier-produit-supprimer:hover
{
	color: #FF0000;
}
.panier-liste > li > div
{
	padding: 0 5px;
}
.panier-liste > li > div:nth-child(2)
{
	flex: 1;
}
.panier-liste > li > div:nth-child(3)
{
	width: 120px;
	text-align: center;
}
.panier-liste > li [name='panier[quantite][]']
{
	width: 80px;
}

.panier-code-promo
{
	margin: 0 0 5px;
}


/*.panier-liste
{
	margin-bottom: 15px;
}*/
.panier-livraison > div
{
	margin-bottom: 15px;
}
.panier-livraison-modes > li > label
{
	display: flex;
	width: 100%;
}
.panier-livraison-modes > li > label > div:not(:first-child)
{
	padding: 0 5px;
}
.panier-livraison-modes > li > label > div:nth-child(1) img
{
	object-fit: scale-down;
	width: 160px;
	height: 160px;
	border: 1px solid #CCC;
}
.panier-livraison-modes > li > label > div:nth-child(2)
{
	flex: 1;
}
.panier-livraison-modes > li > label > div:nth-child(2) > div:first-child
{
	font-weight: 700;
}
.panier-livraison-modes > li > label > div:nth-child(3),
.panier-livraison-modes > li > label > div:nth-child(4)
{
	width: 150px;
	text-align: center;
}

.panier-coordonnees
{
	margin: 0 0 15px;
	padding: 0;
}
.panier-coordonnees h3
{
	margin: 0 0 10px;
	padding: 0;
}
.panier-coordonnees > div:first-of-type
{
	margin: 0 0 15px;
}
.panier-coordonnees-adresses > li > label
{
	display: flex;
	align-items: center;
	width: 100%;
    height: 100%;
}
.panier-coordonnees-adresses > li > label > div:first-of-type
{
	flex: 1;
}
.panier-coordonnees-adresses > li > label input[type='radio']
{
	margin-right: 15px;
}

.panier-paiement-modes > ul > li
{
	height: 64px;
}
.panier-paiement-modes > ul > li > label
{
	display: flex;
	align-items: center;
	width: 100%;
    height: 100%;
}
.panier-paiement-modes > li > label input[type='radio']
{
	margin-right: 15px;
}
/*.panier-paiement-modes > li > label > div:first-child img
{
	object-fit: scale-down;
	width: 64px;
	height: 64px;
	border: 1px solid #CCC;
}*/
.panier-paiement-modes > ul > li > label > div:first-child i
{
	color: var(--color-main);
}
.panier-paiement-modes > ul > li > label > div:first-child + div
{
	flex: 1;
	height: 45px;
}
.panier-paiement-modes > ul > li > label > div:first-child + div > div
{
	flex: 1;
}
.panier-paiement-modes > ul > li > label > div:first-child + div > label
{
	display: none;
}
.panier-paiement-modes > ul > li > label > div:first-child + div > input:checked ~ label
{
	display: block;
}

.panier-resume
{
	position: sticky;
	top: 0;
}
.panier-resume > div:first-of-type
{
	margin: 0 0 5px;
}
.panier-resume ul
{
	list-style: none;
	padding: 0;
	margin: 0;
}
.panier-resume ul > li:not(.panier-resume-tvas),
.panier-resume ul > li.panier-resume-tvas > div
{
	margin: 5px 0;
	padding: 5px 0;
	display: flex;
	justify-content: space-between;
}
.panier-resume ul > li.panier-resume-total-ht
{
	padding: 10px 0;
	font-weight: 700;
	border-top: 1px solid rgba(0,0,0,0.1);
	border-bottom: 1px solid rgba(0,0,0,0.1);
}
.panier-resume ul > li:last-child
{
	padding: 10px 0 0;
	font-weight: 500;
	font-size: 23px;
	margin-top: 5px;
	border-top: 1px solid rgba(0,0,0,0.1);
	border-bottom: initial;
}


.espace-client-connexion
{
	max-width: 500px;
	margin: 0 auto;
}

#espace-client
{
	display: flex;
	gap: 15px;
}
#espace-client h2
{
	margin-top: 0;
	padding-top: 0;
	text-align: left;
}
#espace-client > div:first-child
{
	width: 230px;
}
#espace-client > div:first-child > ul
{
	list-style: none;
	margin: 0;
	padding: 0;
	display: flex;
	flex-direction: column;
	width: 100%;
	gap: 5px;
	position: sticky;
	top: 0;
}
#espace-client > div:first-child > ul > li
{
	margin: 0;
	padding: 0;
}
#espace-client > div:first-child > ul > li > a
{
	display: block;
	text-decoration: none;
	border-radius: var(--radius);
	padding: 5px;
	background-color: #f4f4f4;
	color: var(--color-defaut);
}
#espace-client > div:first-child > ul > li > a.select,
#espace-client > div:first-child > ul > li > a:hover
{
	color: var(--color-main);
}
#espace-client > div:first-child > ul > li > a i
{
	font-size: 25px;
	vertical-align: middle;
	margin-right: 5px;
}
#espace-client > div:first-child > ul > li > a > div
{
	display: inline-block;
	vertical-align: middle;
}
#espace-client > div:first-child + div
{
	flex: 1;
}

.badge.statut_attente_paiement
{
	background-color: #F05050;
}
.badge.statut_paiement_annule
{
	background-color: #F05050;
}
.badge.statut_cheque_recu
{
	background-color: #f0bd50;
}
.badge.statut_paiement_recu
{
	background-color: #f0bd50;
}
.badge.statut_expedie
{
	background-color: #37bc9b;
}
.badge.statut_termine
{
	background-color: #37bc9b;
}
.badge.statut_annule
{
	background-color: #A11E1E;
}
.badge.statut_rembourse
{
	background-color: #5D9CEC;
}

/*Tablette*/
@media screen and (max-width:860px)
{
	.categories
	{
		grid-template-columns: repeat(2, 1fr);
	}
}
/*Mobile*/
@media screen and (max-width:430px)
{
	.categories
	{
		grid-template-columns: repeat(1, 1fr);
	}

	.produit-miniatures-slider
	{
		display: none;
	}

	.produits
	{
		grid-template-columns: unset;
	}
	.produit
	{
		max-width: unset;
	}
	#produit > div:first-child
	{
		flex-direction: column;
	}
	#produit > div:first-child > div
	{
		width: 100%!important;
	}

	#espace-client
	{
		flex-direction: column-reverse;
	}
	#espace-client > div:first-child
	{
		width: 100%;
	}

	.panier-liste > li
	{
		flex-direction: column;
		position: relative;
	}
	.panier-liste > li > div:last-child
	{
		position: absolute;
		right: 0;
	}
}